Subject: bug#516: [PATCH] Minor Enhancement for grep.el: auto-input thesymbol into minibuffer command line.

From: "Drew Adams" <[email-masked]>
Date: Fri, 4 Dec 2009 20:36:17 -0800

> > This patch is to let you input the cursor position symbol 
> > automatically into minibuffer command line. I think it makes
> > us easier to use "grep-find" function.
> 
> There is a function `grep-default-command' in grep.el that does this.
> I wonder why it's used in `grep', but not in `grep-find'.  I think
> we should do the same in `grep-find'.

Yes, and as I've suggested before, if the region is active, then its contents,
surrounded by "s, should be the default search string. Example code:
http://www.emacswiki.org/emacs/grep%2b.el